QueryTypeMismatchException (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.queryprocessor
Class QueryTypeMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              fr.inrialpes.exmo.queryprocessor.QueryTypeMismatchException

All Implemented Interfaces:
  Serializable

    public class QueryTypeMismatchException

extends Exception

Author:
  Arun Sharma
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Constructor Summary
`QueryTypeMismatchException()` Create a new `QueryTypeMismatchException` with no detail mesage.
`QueryTypeMismatchException(String message)` Create a new `QueryTypeMismatchException` with the `String` specified as an error message.
`QueryTypeMismatchException(String message, Throwable cause)` Create a new `QueryTypeMismatchException` with the `String` specified as an error message and the `Throwable` that caused this exception to be raised.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### QueryTypeMismatchException

    public QueryTypeMismatchException()

  Create a new `QueryTypeMismatchException` with no detail mesage.

### QueryTypeMismatchException

    public QueryTypeMismatchException(String message)

  Create a new `QueryTypeMismatchException` with the `String` specified as an error message.

  Parameters:
    `message` - The error message for the exception.

### QueryTypeMismatchException

    public QueryTypeMismatchException(String message,
                                      Throwable cause)

  Create a new `QueryTypeMismatchException` with the `String` specified as an error message and the `Throwable` that caused this exception to be raised.

  Parameters:
    `message` - The error message for the exception
    `cause` - The cause of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010